Package io.vertx.core.cli

## Class MissingValueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.core.cli.CLIException
        - - io.vertx.core.cli.MissingValueException

- All Implemented Interfaces:
    `Serializable`

      public class MissingValueException
      extends CLIException

  Exception thrown when an option requiring a value does not receive the value, or when a mandatory argument does not receive a value.
  Author:
    Clement Escoffier
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MissingValueException​(Argument argument)` | Creates a new instance of `MissingValueException` when a mandatory argument is not set in the user command line.
    `MissingValueException​(Option option)` | Creates a new instance of `MissingValueException` when an option requiring a value does not receive a value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Argument` | `getArgument()` |
    `Option` | `getOption()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingValueException

          public MissingValueException​(Option option)

      Creates a new instance of `MissingValueException` when an option requiring a value does not receive a value.
      Parameters:
        `option` - the option

    - #### MissingValueException

          public MissingValueException​(Argument argument)

      Creates a new instance of `MissingValueException` when a mandatory argument is not set in the user command line.
      Parameters:
        `argument` - the argument

  - ### Method Detail

    - #### getOption

          public Option getOption()

      Returns:
        the option, may be `null` if the exception is about an argument.

    - #### getArgument

          public Argument getArgument()

      Returns:
        the argument, may be `null` if the exception is about an option.